Run Workflow in Repository

Deprecated

Endpoint is deprecated, please use POST /repos/{org_slug}/{repo_slug}/cicd/runs instead

Request

POST

https://api.sourcecraft.tech/{org_slug}/{repo_slug}/ci_workflows/{workflow_name}/trigger

Path parameters

Name

Description

org_slug

Type: string

Example: ``

repo_slug

Type: string

Example: ``

workflow_name

Type: string

Example: ``

Body

application/json
{
  "revision": "example",
  "workflow_revision": "example",
  "input": {
    "values": [
      {
        "name": "example",
        "value": "example"
      }
    ]
  }
}

Name

Description

input

Type: WorkflowInput

Example
{
  "values": [
    {
      "name": "example",
      "value": "example"
    }
  ]
}

revision

Type: string

Example: example

workflow_revision

Type: string

Example: example

InputValue

Name

Description

name

Type: string

Example: example

value

Type: string

Example: example

Example
{
  "name": "example",
  "value": "example"
}

WorkflowInput

Name

Description

values

Type: InputValue[]

Example
[
  {
    "name": "example",
    "value": "example"
  }
]
Example
{
  "values": [
    {
      "name": "example",
      "value": "example"
    }
  ]
}

Responses

200 OK

A successful response.

Body

application/json
{
  "flux_id": "example",
  "flux_public_id": "example",
  "trigger_status": "already_exists"
}

Name

Description

flux_id

Type: string

Example: example

flux_public_id

Type: string

Example: example

trigger_status

Type: TriggerStatus

Enum: already_exists, created, nothing_to_start

TriggerStatus

Type: string

Enum: already_exists, created, nothing_to_start

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

No longer supported, please use an alternative and newer version.

Предыдущая
Следующая